For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact UsDashboard
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • GETRetrieve a paginated list of dimensions
      • GETRetrieve a specific dimension by ID
      • POSTCreate a single new dimension
      • POSTCreate or update multiple dimensions
LogoLogo
Contact UsDashboard
API ReferenceDimensions

Retrieve a paginated list of dimensions

GET
/dimensions
GET
/v1/dimensions
$curl -G https://api.ottimate.com/v1/dimensions \
> -H "X-Api-Key: your-api-key-here" \
> -H "X-API-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -d ottimate_company_id=15196 \
> -d erp_type=Account
1{
2 "version": "1.0.0",
3 "count": 100,
4 "page": 1,
5 "limit": 20,
6 "dimensions": [
7 {
8 "id": "dim_VOH21Up3M7HV",
9 "name": "Food Cost",
10 "erp_type": "Account",
11 "erp_dimension_id": "5000",
12 "code": "5000",
13 "reference_id": "acct-food-cost-001",
14 "ottimate_type": "account",
15 "ottimate_company_id": 15196
16 },
17 {
18 "id": "dim_XKL45Qp8N2RT",
19 "name": "Beverage Cost",
20 "erp_type": "Account",
21 "erp_dimension_id": "5100",
22 "code": "5100",
23 "reference_id": "acct-beverage-cost-001",
24 "ottimate_type": "account",
25 "ottimate_company_id": 15196
26 },
27 {
28 "id": "dim_MNO78Ts4P6YZ",
29 "name": "Kitchen Department",
30 "erp_type": "Department",
31 "erp_dimension_id": "DEPT-001",
32 "code": "DEPT-001",
33 "reference_id": "dept-kitchen-001",
34 "ottimate_type": "department",
35 "ottimate_company_id": 15196
36 }
37 ]
38}

Returns a paginated list of dimensions, filterable by company and type. The detail=basic query parameter returns a simplified response.

Was this page helpful?
Previous

Retrieve a specific dimension by ID

Next
Built with

Authentication

AuthorizationBearer
OAuth2 authentication flows. Auth server URLs will vary by environment

Headers

X-Api-KeystringRequired
API key for authentication
X-API-VersionenumOptional

API version to use (optional, defaults to latest)

Allowed values:

Query parameters

ottimate_company_idintegerOptional
Filter dimensions by company ID
erp_typestringOptional
Filter dimensions by ERP type
detailenumOptional
Specify the level of detail in the response
Allowed values:

Response

Successful response with paginated dimension list
versionstring
countinteger
pageinteger
limitinteger
dimensionslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error